Handheld
========
Handheld allows you build mobile applications using Dart and PhoneGap. 

Quick Guide
-----------
1. Go through the [PhoneGap](doc/PhoneGap.md) setup guide and make sure that PhoneGap is working before you proceed. 

2. Add the folowing to your **pubspec.yaml** and run **pub install**
```yaml
    dependencies:
      handheld: any
```

3. Run it
```dart
    import "package:handheld/handheld.dart";
    main() {
      handheld.onDeviceReady((Device device) {
        device.notification.alert("hello from Dart");
      });
    }
```

PhoneGap API status
-------------------

<table>
  <thead>
    <th>Function</th>
    <th>Supported</th>
    <th>API Version</th>
  </thead>
  <tbody>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_accelerometer_accelerometer.md.html">Accelerometer</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_camera_camera.md.html">Camera</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_media_capture_capture.md.html">Capture</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_compass_compass.md.html">Compass</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_connection_connection.md.html">Connection</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_contacts_contacts.md.html">Contacts</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_device_device.md.html">Device</a>
      </td>
      <td><strong>yes</strong></td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_events_events.md.html">Events</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_file_file.md.html">File</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_geolocation_geolocation.md.html">Geolocation</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_globalization_globalization.md.html">Globalization</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_inappbrowser_inappbrowser.md.html">InAppBrowser</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_media_media.md.html">Media</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_notification_notification.md.html">Notification</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_splashscreen_splashscreen.md.html">Splashscreen</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
    <tr>
      <td>
      	<a href="http://docs.phonegap.com/en/2.5.0/cordova_storage_storage.md.html">Storage</a>
      </td>
      <td>no</td>
      <td>2.5</td>
    </tr>
  </tbody>
</table>
