// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

/**
 * Describes the device's hardware and software.
 */
class Device {
  Device(this._injector);
  
  /**
   * Access device accelerometer
   */
  DeviceAccelerometer get accelerometer => null;

  /**
   * Handler for visual, audible, and tactile device notifications.
   */
  DeviceNotification get notification => null;

  /**
   * Retrieve device information such as platform and version
   */
  DeviceInfo get info => _injector.getInstance(DeviceInfoLoader)();

  /**
   * Returns a Database object for [name] and [version]. Where [displayname]
   * is a user friendly name required by the user agent and [size] is the
   * esitmated number of bytes required for the database.
   */
  Future<DeviceDatabase> openDatabase(String name, String version, String displayname, int size) => null;
  
  final Injector _injector;
}


