// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

/**
 * Interact with Cordova's WebSQL database
 */
abstract class DeviceDatabase {
  /**
   * Run a single database query
   */
  Future<SQLResult> executeSql(String sql);

  /**
   * Run multiple database queries
   */
  SQLBatch batchSql(String sql);

  /**
   * Atomically verify and update the schema version number
   *
   * The future retuned contains the new version number of the database after the update
   */
  Future<String> changeVersion(String expectedCurrentVersion, String newVersion);

  /**
   * Close the database connection
   */
  close();
}
