// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

/**
 * Visual, audible, and tactile device notifications.
 */
abstract class DeviceNotification {
  /**
   * Shows a custom alert or dialog box.
   *
   * Note the future returns when the user closes the box
   */
  Future<Map> alert(String alertMessage);

  /**
   * Beep a number of [times]
   */
  beep(int times);

  /**
   * Show confirmation dialog.
   *
   * Returns callback with the index of the button clicked (1,2).
   */
  Future<int> confirm(String dialog, [String title, String labels]);

  /**
   * Vibrate for [duration] milliseconds
   */
  vibrate(int duration);
}
