// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_api;

class Handheld {
  factory Handheld(Module module) {
    if(_instance == null) {
      _instance =  new Handheld._internal(new Injector(module));
    }
    return _instance;
  }

  Handheld._internal(this._injector) {
    // register device ready handler
    _deviceCompleter = new Completer<Device>();
    DeviceReadyHandler readyHandler = _injector.getInstance(DeviceReadyHandler);
    readyHandler(_deviceCompleter, _injector);
  }
  
  Future<Device> get onDeviceReady => (_device == null) ? _deviceCompleter.future : new Future.of(() => _device);
  
  Device _device;
  Completer<Device> _deviceCompleter;
  static Handheld _instance;
  final Injector _injector;
  final Logger _logger = LoggerFactory.getLogger("Handheld");
}

typedef DeviceReadyHandler(Completer<Device> completer, Injector injectpr);