// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_impl;

deviceReadyHandler(Completer<Device> completer, Injector injector) {
  js.scoped(() {
    js.context.handheldReady = new js.Callback.once(() {
      _logger.debug("handheld device ready");
      completer.complete(new Device(injector));
    });
    // TODO js.context.document.addEventListener("deviceready", callback, false);
  });
}

DeviceInfo deviceInfoLoader() {
  DeviceInfo deviceInfo;
  js.scoped(() {
    // screen
    var height = js.context.screen.height;
    var width = js.context.screen.width;
    var colorDepth = js.context.screen.colorDepth;
    var deviceScreen = new DeviceScreen(height, width, colorDepth);
    // device
    var name = js.context.device.name;
    var cordovaVersion = js.context.device.cordova; 
    var platform = js.context.device.platform; 
    var platformVersion = js.context.device.version;
    var uuid = js.context.device.uuid; 
    deviceInfo = new DeviceInfo(name, "cordova", "platform", "uuid", "version", deviceScreen);
  });
  _logger.debug("gathered device info for: ${deviceInfo.name}");
  return deviceInfo;
}

Logger get _logger => LoggerFactory.getLogger("handheld_impl");

